Skip to content
API Reference

Update

PATCH/organizations/{organization_id}

Update organization details

Path ParametersExpand Collapse
organization_id: string

Organization ID or label identifier

minLength1
maxLength255
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
Body ParametersJSONExpand Collapse
name: optional string

Organization name

ReturnsExpand Collapse
Organization = object { id, created_at, label, 4 more }
id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
created_at: string

The time the entity was created in utc

formatdate-time
label: string

A domain name segment for the entity, often derived from the name.

maxLength63
name: string

A name for the entity to be displayed in UI

sso_enabled: boolean

Whether SSO is enabled for this organization

updated_at: string

The time the entity was mostly recently updated in utc

formatdate-time
permissions: optional map[map[boolean]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Update

curl https://api.keycard.ai/organizations/$ORGANIZATION_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -d '{}'
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
  "name": "name",
  "sso_enabled": true,
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "created_at": "2019-12-27T18:11:19.117Z",
  "label": "26f1klzn5713-56bincal4ca-60zz1k91s4-j2c13v6",
  "name": "name",
  "sso_enabled": true,
  "updated_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}